GET/cosmos/staking/v1beta1/delegators/{delegator_addr}/redelegations

https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/delegators/string/redelegations

Redelegations queries redelegations of given address.

Path Parameters
delegator_addrstringrequired

delegator_addr defines the delegator address to query for.

Query Parameters
src_validator_addrstring

Source validator address for the redelegation.

dst_validator_addrstring

Destination validator address for the redelegation.

pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
redelegationobject

Redelegation information for a specific delegator from a specific source validator to a specific destination validator.

delegator_addressstring

delegator_address is the bech32-encoded address of the delegator.

validator_src_addressstring

Operator address of the source validator for the redelegation.

validator_dst_addressstring

Operator address of the destination validator for the redelegation.

entriesobject[]

entries are the redelegation entries.

creation_heightstring (int64)

creation_height defines the height which the redelegation took place.

completion_timestring (date-time)

completion_time defines the unix time for redelegation completion.

initial_balancestring

initial_balance defines the initial balance when redelegation started.

shares_dststring

Amount of destination validator shares created by the redelegation.

unbonding_idstring (uint64)

Incrementing ID that uniquely identifies this entry.

unbonding_on_hold_ref_countstring (int64)

Positive if the unbonding has been stopped by external modules.

entriesobject[]

Redelegation entries.

redelegation_entryobject

RedelegationEntry defines a redelegation object with relevant metadata.

creation_heightstring (int64)

creation_height defines the height which the redelegation took place.

completion_timestring (date-time)

completion_time defines the unix time for redelegation completion.

initial_balancestring

initial_balance defines the initial balance when redelegation started.

shares_dststring

Amount of destination validator shares created by the redelegation.

unbonding_idstring (uint64)

Incrementing ID that uniquely identifies this entry.

unbonding_on_hold_ref_countstring (int64)

Positive if the unbonding has been stopped by external modules.

balancestring

Amount to be returned when unbonding completes.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU30
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/delegators/string/redelegations?src_validator_addr=string&dst_validator_addr=string&pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "redelegation_responses": [
    {
      "redelegation": {
        "delegator_address": "string",
        "validator_src_address": "string",
        "validator_dst_address": "string",
        "entries": []
      },
      "entries": [
        {}
      ]
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}